summarylogtreecommitdiffstats
path: root/auctex.install
diff options
context:
space:
mode:
authorStefan Husmann2015-06-08 20:23:52 +0200
committerStefan Husmann2015-06-08 20:23:52 +0200
commit5aef627a83ec49ee9a0d994e37c68e99edab884e (patch)
tree459aa819fb71a0ce44dc25199b01975e45d3ad0a /auctex.install
downloadaur-5aef627a83ec49ee9a0d994e37c68e99edab884e.tar.gz
initial version
Diffstat (limited to 'auctex.install')
-rw-r--r--auctex.install29
1 files changed, 29 insertions, 0 deletions
diff --git a/auctex.install b/auctex.install
new file mode 100644
index 000000000000..8aaf389cbf17
--- /dev/null
+++ b/auctex.install
@@ -0,0 +1,29 @@
+infodir=/usr/share/info
+filelist=(auctex.info.gz preview-latex.info.gz)
+
+post_install() {
+[ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info $infodir/$file $infodir/dir 2> /dev/null
+ done
+cat << EOF
+==> For GNU Emacs, the recommended way to activate
+==> AUCTeX and preview-latex is to add the
+==> following lines to your ~/.emacs file:
+(load "auctex.el" nil t t)
+(load "preview-latex.el" nil t t)
+EOF
+texconfig-sys rehash
+}
+
+post_upgrade() {
+ post_install $1
+}
+
+pre_remove() {
+ [ -x usr/bin/install-info ] || return 0
+ for file in ${filelist[@]}; do
+ install-info --delete $infodir/$file $infodir/dir 2> /dev/null
+ done
+ texconfig-sys rehash
+} \ No newline at end of file